Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           qsstv
Version:        9.4.1
Release:        alt1_1
Summary:        Qt-based slow-scan TV and fax

License:        GPLv2+
URL:            http://users.telenet.be/on4qz/
Source0:        http://users.telenet.be/on4qz/qsstv/downloads/%{name}_%{version}.tar.gz
Source1:        qsstv.desktop
Source2:        qsstv.1

BuildRequires:  gcc-c++ doxygen desktop-file-utils
BuildRequires:  libfftw3-devel
BuildRequires:  qt5-base-devel
BuildRequires:  hamlib-devel hamlib-tcl
BuildRequires:  libalsa-devel
BuildRequires:  libpulseaudio-devel
BuildRequires:  libopenjpeg-devel
BuildRequires:  libopenjpeg2.0-devel
BuildRequires:  libv4l-devel
Source44: import.info


%description
Qsstv is a program for receiving slow-scan television and fax. These are
modes used by hamradio operators. Qsstv uses a soundcard to send and
receive images.


%package doc
Group: Communications
Summary:             User manual for Qsstv.
BuildArch:           noarch
Requires:            %{name} = %{version}-%{release}

%description doc
User manual for Qsstv.


%prep
%setup -q -n %{name}_%{version}


# Honor build flags...
sed -i "s/\-O0/\-O2/g" qsstv/qsstv.pro


%build 
qmake-qt5 PREFIX=%{_prefix} CONFIG+=debug QMAKE_CXXFLAGS+="%{optflags}" 
%make_build


%install
INSTALL_ROOT=%{buildroot}; export INSTALL_ROOT
make install 

# Install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p qsstv/icons/qsstv.png %{buildroot}%{_datadir}/pixmaps/

desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Install man page borrowed from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/

find %{buildroot} -type f -name "*.a" -exec rm -f {} \;


%files
%doc --no-dereference COPYING
%doc README.txt
%{_bindir}/* 
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_mandir}/man1/%{name}.1*

%files doc
%{_docdir}/%{name}/


%changelog
* Mon May 13 2019 Igor Vlasenko <viy@altlinux.ru> 9.4.1-alt1_1
- update to new release by fcimport

* Sun Apr 21 2019 Igor Vlasenko <viy@altlinux.ru> 9.3.3-alt1_1
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 9.2.6-alt1_5
- update to new release by fcimport

* Sun Sep 02 2018 Igor Vlasenko <viy@altlinux.ru> 9.2.6-alt1_4
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 9.2.6-alt1_3
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 9.2.6-alt1_2
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 9.2.6-alt1_1
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 9.2.4-alt1_4
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 9.2.4-alt1_1
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 9.1.5-alt1_1
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 8.2.12-alt1_3
- update to new release by fcimport

* Mon Nov 09 2015 Igor Vlasenko <viy@altlinux.ru> 8.2.12-alt1_1
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 7.1.7-alt1_3
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 7.1.7-alt1_2
- initial fc import

